package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolExcludeskucodeRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItempoolExcludeskucodeItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItempoolExcludeskucodeCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItempoolExcludeskucodeRequest) SetParam0(v domain.AlibabaHmMarketingItempoolExcludeskucodeItemPoolSku) *AlibabaHmMarketingItempoolExcludeskucodeRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolExcludeskucodeRequest) SetParam1(v domain.AlibabaHmMarketingItempoolExcludeskucodeCommonActivityParam) *AlibabaHmMarketingItempoolExcludeskucodeRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolExcludeskucodeRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolExcludeskucodeRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
